package com.example.constant;

/**
 * 全局参数定义
 *
 * @author yys
 */
public class GlobleConstant {
    /**
     * 前台登录用户缓存参数
     */
    public final static String CURRENT_MEMBER = "CurrentMember";
    /**
     * 后台登录用户缓存参数
     */
    public final static String CURRENT_USER = "CurrentUser";
    /**
     * 前台传入accessToken属性名称
     */
    public final static String ACCESS_TOKEN = "accessToken";
    /**
     * 默认feign调用token标识
     */
    public final static String FEIGN_TOKEN = "feignToken";
    /**
     * 机构主键标识
     */
    public final static String ORG_GUID = "orgGuid";
    /**
     * 用户主键标识
     */
    public final static String USER_GUID = "userGuid";
    /**
     * 机构对象标识
     */
    public final static String ORG_OBJECT = "orgObject";

    /**
     * 店铺信息
     */
    public final static String ORG_STORE_OBJ = "storeObject";
    /**
     * 用户权限列表缓存参数
     */
    public final static String AUTH_LIST = "authList";
    /**
     * 用户权限map缓存参数
     */
    public final static String AUTH_MAP = "authMap";

    /**
     * 用户菜单列表缓存
     */
    public final static String AUTH_MENN_OBJ = "authMenuObj";
    /**
     * accesstoken 缓存时间 单位秒
     */
    public final static long TOKEN_EXPIRES_SECOND =  6 * 3600;

    /**
     * 访问Token过期时间
     */
    public final static long ACCESS_TOKEN_EXPIRES_SECOND = 30 * 60;

    /**
     * refreshtoken 过期时间
     */
    public final static long REFRESH_TOKEN_EXPIRES_SECOND = 2 * 7 * 24 * 3600;
    /**
     * accesstoken aud标识
     */
    public final static String TOKEN_AUD = "tokenAud";
    /**
     * refreshtoken aud标识
     */
    public final static String REFRESH_TOKEN_AUD = "refreshTokenAud";

    public final static String UPLOAD_RELATIVE_PATH = "/images/";

    public final static String PRODUCT_GUID = "0100e712ef4f41bda6258b7d70f62bfa";

    public static final String FALSE = "false";

    /**
     * 购物车缓存前缀
     */
    public static final String CUSTOMER_CAR_PREFIX="customer_car:";

    /**
     * 微信API调用token
     */
    public static final String WECHAT_API_TOKEN="weChatApiAccessToken";
    /**
     * 微信授权信心mapkey
     */
    public static final String WECHAT_INFO_PREFIX="weChatInfoPrefix_";

    public static final String WECHAT_INFO="wechatUserInfo";
}
