package com.example.enums;

public enum PayStatusEnum {

    INIT(0, "待支付"), SUCCESS(1, "支付成功"), FAIL(2, "支付失败"), APPLY_REFUND(3, "申请退款"),
    REFUND(4, "已退款"), CLOSED(5, "订单关闭");

    private Integer index;
    private String value;


    PayStatusEnum(Integer status, String value) {
        this.index = status;
        this.value = value;
    }

    public Integer getIndex() {
        return index;
    }

    public static String getValue(int index) {
        for (PayStatusEnum payStatusEnum : PayStatusEnum.values()) {
            if (payStatusEnum.index == index) {
                return payStatusEnum.value;
            }
        }
        return "支付失败";
    }
}
