package com.example.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.example.entity.User;
import com.example.enums.DelEnum;
import com.example.enums.WX_TypeEnum;
import com.example.mapper.UserMapper;
import com.example.service.UserService;
import com.example.vo.UserUpdateVO;
import me.chanjar.weixin.mp.bean.result.WxMpUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class UserServiceImpl extends ServiceImpl<UserMapper,User> implements UserService {

    @Autowired
    private UserMapper userMapper;

    @Override
    public void addUser(WxMpUser wxMpUser) {
        User user = new User();
        user.setCity(wxMpUser.getCity());
        user.setCountry(wxMpUser.getCountry());
        user.setProvince(wxMpUser.getProvince());
        user.setCreateDate(new Date());
        user.setImgUrl(wxMpUser.getHeadImgUrl());
        user.setNickname(wxMpUser.getNickname());
        user.setOpenId(wxMpUser.getOpenId());
        user.setSex(wxMpUser.getSex());
        user.setPrivileges(wxMpUser.getPrivileges().toString());
        user.setIsDel(DelEnum.NOT_DEL.getIndex());
        user.setType(WX_TypeEnum.MP.getIndex());
        userMapper.insert(user);
    }

    @Override
    public User getUserByOpenId(String openId) {
        User user = new User();
        user.setOpenId(openId);
        User result = userMapper.selectOne(user);
        return result;
    }

    @Override
    public void updateUser(String openId, UserUpdateVO updateVO) {
        User user = getUserByOpenId(openId);
        user.setTel(updateVO.getPhone());
        userMapper.updateAllColumnById(user);
    }
}
